org.apache.ignite.internal.processors.platform.client.cluster

## Class ClientClusterGroupProjection

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.cluster.ClientClusterGroupProjection

    public class ClientClusterGroupProjection
    extends Object

Client cluster group projection representation. Decodes a remote projection request from a client node.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClusterGroup` `apply(ClusterGroup clusterGrp)` Applies projection.
`static ClientClusterGroupProjection` `read(BinaryRawReader reader)` Reads projection from a stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public static ClientClusterGroupProjection read(BinaryRawReader reader)

Reads projection from a stream.

Parameters:
  `reader` - Reader.
Returns:
  Projection.

#### apply

    public ClusterGroup apply(ClusterGroup clusterGrp)

Applies projection.

Parameters:
  `clusterGrp` - Source cluster group.
Returns:
  New cluster group instance with the projection.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022